package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import java.util.Date;
import ${basePackage}.frame.validation.Dict;

/**
 * TokensRequest -  通行证查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class TokensFindRequest extends BaseFindRequest {

    /**
     * 登录令牌
     */
    private String token;

    /**
     * 用户主键
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 登录时间
     */
    private Date loginTime;

    /**
     * 有效时间
     */
    private Date validTime;

    /**
     * 是否有效
     */
    private Boolean valid;

    /**
     * 部门主键
     */
    private Long deptId;

    /**
     * 部门代码
     */
    private String deptCode;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 终端类型
     */
    @Dict(name = "TERMINAL_TYPE")
    private String terminalType;

    /**
     * 终端地址
     */
    private String terminalIp;

    /**
     * 终端信息
     */
    private String terminalInfo;

    public String getToken() {
        return this.token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getLoginTime() {
        return this.loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getValidTime() {
        return this.validTime;
    }

    public void setValidTime(Date validTime) {
        this.validTime = validTime;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTerminalType() {
        return this.terminalType;
    }

    public void setTerminalType(String terminalType) {
        this.terminalType = terminalType;
    }

    public String getTerminalIp() {
        return this.terminalIp;
    }

    public void setTerminalIp(String terminalIp) {
        this.terminalIp = terminalIp;
    }

    public String getTerminalInfo() {
        return this.terminalInfo;
    }

    public void setTerminalInfo(String terminalInfo) {
        this.terminalInfo = terminalInfo;
    }
}
